Overview

Getting Started

MARKETPLACE

Widgets

Find Pros

Categories

Keywords

Requests

Leads

Messages

On-Demand Orders

Reviews

User Accounts

PRO INTEGRATIONS

Leads

Messages

Reviews

Pro Profiles

Business Phone Numbers

Manage Webhooks

Testing Your Pro Integration

Support

Changelog

Terms and Policies

Reviews

Fetch and monitor reviews for the businesses you manage, including ratings, review text, and customer feedback. The Reviews API supports the ability to fetch and post Reviews for Businesses - see below.

Get Reviews for a Single Business

In order to fetch all Reviews for a specific Business, provide the businessID as a path parameter. You can paginate through results using limit and offset.
GET /api/v4/businesses/{{businessID}}/reviews?limit=10&offset=0
Authorization: Bearer
Response:
{
"data": [
{
"reviewID": "5343987659230309812",
"reviewText": "The crew did an amazing job putting together my gazebo. Quickly too! Great communication from start to finish, and I'm so happy with their work. Definitely recommend!",
"rating": 5,
"createTime": "2023-04-02T01:43:49Z",
"reviewerName": "EB",
"responseText": "Thank you so much for the kind words!",
"responseTime": "2023-04-03T10:00:00Z",
"negotiationID": "5343987659230309812",
"categoryID": "5343987659230309812",
"images": [
{
"imageID": "123456",
"imageURL": "https://example.com/image.jpg",
"caption": "Finished gazebo"
}
]
},
...
],
"pagination": {
"limit": 10,
"offset": 0,
"next": "https://api.thumbtack.com/v4/businesses/{{businessID}}/reviews?limit=10&offset=10"
}
}

Write a Response to a Review

In order to respond to a Review on behalf of a Business, provide the businessID and reviewID as path parameters, along with the response text in the request body. This allows an integrated Business to publicly reply to a review left for them on Thumbtack.
POST /api/v4/businesses/{{businessID}}/reviews/{{reviewID}}/response HTTP/2
Authorization: Bearer{{authCode}}
Content-Type: application/json
Request body:
{
"reviewID": "5343987659230309812",
"responseText": "Thank you for your feedback!"
}
A successful request returns HTTP 200 with an empty body.

Receive a Review via a Webhook

After you created a webhook for a business and subscribed to ReviewCreatedV4 event type, when a review is created, a ReviewCreatedV4 webhook event will be sent to your webhook. Check out the API Reference doc for more details.

Last Updated: May 1st, 2026

On this page